Jump to content
Welcome to our new Citrix community!
  • 0

StoreFront upgrade error (LTSR CU2 to CU3)


Andy White1709154166

Question

Hello,

 

I’m am trying to upgrade our 2 x StoreFront servers to 7.15 LTSR CU3 from CU2 and I get the below error:

 

image.thumb.png.6dd87ab241a20b1885b3bd918d9690c4.png

 

I’ve tried again with the Citrix Telemetry service stopped, but I still get the error.

 

We use 7.15 LTSR CU2 on:

 

2 x StoreFronts

2 x Delivery Controllers

2 x DB servers

Many VDAs

 

Normally I upgrade the license server first then the StoreFronts, but I’m hit with this error.

 

This is just in a test environment so far, so I have cloned a DC and our 2 StoreFront servers and attempting the upgrade here first.  Does it need the Delivery Controllers online maybe?

 

Thanks

Link to comment

6 answers to this question

Recommended Posts

Hi G0nz0uk

Based on your screen shot it looks like you did the installation via the XAXD layout installer rather than just using the StoreFront MSI?  Can you confirm this is the case?
User sbowlin962 indicates that standalone installations and upgrades are working for him without a problem so I am working to the assumption that using the XAXD layout may be significant.

I will try and reproduce this in house using the following deployments.
CU2 to CU3 when NOT installed via the layout so 3.12 CU2 to 3.12 CU3 using just CitrixStoreFront-x64.exe (working for user sbowlin962?)
and
CU2 to CU3 when installed via the 7.15 CU3 layout (failing for you)

 

Does it need the Delivery Controllers online maybe?

No this shouldn't be necessary for a successful upgrade.


Please let me know if you attempt anything else and the findings of your own debugging?  I will post the results from mine once I have tried this myself.

Thanks
Mark

Link to comment

Hi G0nz0uk

I did not encounter any failures when I tested both scenarios using a Single Server upgrade.  I will try upgrading a server group next using the 7.17 CU3 layout.


CU2 to CU3 when NOT installed via the layout so 3.12 CU2 to 3.12 CU3 using just CitrixStoreFront-x64.exe (successful)
and
CU2 to CU3 when installed via the 7.15 CU3 layout (successful)

Regards
Mark

Link to comment

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...